import { Callback } from '../../Callback';
export declare const V_METHOD_GET: string[];
export declare const V_METHOD_CALL: string[];
export declare const V_METHOD_WATCH: any[];
export declare const V_METHOD_REF: string[];
export interface $V_G {
    $read(data: {}, callback: Callback<any>): void;
}
export interface $V_C {
    $write(data: {
        data: any;
    }, callback: Callback<void>): void;
}
export interface $V_W {
}
export interface $V_R {
    $refer(data: {
        __: string[];
    }): any;
}
export interface $V extends $V_G, $V_C, $V_W, $V_R {
}
